Modify metaproperty
Requires the METAPROPERTYMANAGEMENT or METAMANAGEMENT security role.
post
https://{your-bynder-domain}/api/v4/metaproperties/{id}
Path Parameters
idstringrequired
Metaproperty id.
Body
application/x-www-form-urlencoded
Body
application/x-www-form-urlencoded
datastring
JSON-serialised string
Example:{ "type": "select", "label": "Colour", "labels": {"fr_FR": "foo", "en_US": "foo"}, "zindex": 4, "isEditable": true, "isFilterable": true, "isMainfilter": true, "isMultiselect": true, "isRequired": true, "isMultifilter": true, "isDrilldown": true, "isDisplayField": true, "isApiField": true }
idstring
Metaproperty id.
Example:00000000-0000-0000-0000000000000000
Response
application/json
Response
application/json
Created
post/api/v4/metaproperties/{id}
Authentication
Path Parameters
Body
{}
application/json
ConfigurationNotExisting
objecterrorCodestringrequired
messagestringrequired
Example
CreatedMetapropertyStreamOutput
objectallowDuplicatesbooleanrequired
autocompletebooleanrequired
createDuringApplybooleanrequired
definitionstring
idstring(uuid)required
metapropertyTypestringrequired
Allowed values:single-selectmulti-selectdatetext
namestringrequired
statusstringrequired
Example
ErrorMessage
objecterrorCodestringrequired
messagestringrequired
Example
ExistingMetapropertyOutput
objecterrorCodestringrequired
messagestringrequired
Example